Page MenuHomePhabricator

"MediaWiki:Apisandbox-unfullscreen": Message documentation and message contradict one another.
Closed, InvalidPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2016, 9:54 AM
Aklapper renamed this task from Message documentation and message contradict one another. to "MediaWiki:Apisandbox-unfullscreen": Message documentation and message contradict one another..Mar 11 2016, 12:57 PM
Aklapper triaged this task as Low priority.
Anomie closed this task as Invalid.EditedJul 13 2016, 11:54 PM
Anomie added a subscriber: Anomie.

The message and the documentation are accurate. The message name itself is slightly inaccurate, since it's really full page instead of fullscreen.

"Show page" means that the button transitions from ApiSandbox covering the whole browser window to showing MediaWiki's normal page chrome.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 13 2016, 11:54 PM
Purodha added a comment.EditedJul 15 2016, 8:20 AM

I am utterly confused. Message and description still appear contradicting to me, and I do not understand the " browser window ... page chrome " - sorry. So what am I supposed to translate the message to?

Purodha reopened this task as Open.Jul 15 2016, 8:20 AM
Anomie closed this task as Invalid.Jul 15 2016, 1:39 PM

When you load https://en.wikipedia.org/wiki/Special:ApiSandbox, it displays widgets inside the normal page layout. There's the toolbar and tabs across the top, the sidebar on the left, a title, and so on. This is the "page chrome".

When you click the button with message apisandbox-fullscreen ("Expand panel"), the ApiSandbox widgets take over the whole browser window. The "page chrome" and anything else on the page are no longer visible. Thus, the qqq for that message says "JavaScript button label for enabling full-page mode." since that's what the button does.

When you click the button with message apisandbox-unfullscreen ("Show page"), the ApiSandbox widgets go back to their position within the page, i.e. the rest of the page is no longer hidden. Thus, the qqq for that message says "JavaScript button label for disabling full-page mode." since that's what the button does.

I have no idea what you should translate that to, since the only non-English language I know is Spanish and I don't know enough of that to do translations. You should probably localize it by looking at what the buttons do, and then determine what an appropriate button text would be to indicate that.